Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.interceptors
Class AbstractInterceptor

    java.lang.Object
      org.jboss.cache.pojo.interceptors.AbstractInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor

Direct Known Subclasses:
  CheckIdInterceptor, CheckNonSerializableInterceptor, PojoBeginInterceptor, PojoEventInterceptor, PojoFailedTxMockupInterceptor, PojoTxInterceptor, PojoTxLockInterceptor, PojoTxUndoInterceptor, PojoTxUndoSynchronizationInterceptor

    public abstract class AbstractInterceptor

extends Object
implements org.jboss.aop.advice.Interceptor

Base interceptor class for PojoCache interceptor stack.

Version:
  $Id: AbstractInterceptor.java 4081 2007-06-28 00:56:07Z jgreene $
Author:
  Ben Wang

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Constructor Summary
`AbstractInterceptor()`

Method Summary
`protected CacheSPI` | `getCache(org.jboss.aop.joinpoint.MethodInvocation in)`
`protected InvocationContext` | `getInvocationContext(org.jboss.aop.joinpoint.MethodInvocation in)`
`String` | `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.aop.advice.Interceptor
`invoke`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

Constructor Detail

### AbstractInterceptor

    public AbstractInterceptor()

Method Detail

### getInvocationContext

    protected InvocationContext getInvocationContext(org.jboss.aop.joinpoint.MethodInvocation in)

### getCache

    protected CacheSPI getCache(org.jboss.aop.joinpoint.MethodInvocation in)

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.